#
# pppd makefile for Linux
# $Id: Makefile.linux,v 1.8 1995/06/30 01:47:13 paulus Exp $
#

PPPDSRCS = main.c magic.c fsm.c lcp.c ipcp.c upap.c chap.c md5.c ccp.c \
	   ipxcp.c auth.c options.c sys-linux.c md4.c chap_ms.c
HEADERS =  callout.h pathnames.h patchlevel.h chap.h md5.h chap_ms.h md4.h \
	   ipxcp.h
MANPAGES = pppd.8
PPPDOBJS = main.o magic.o fsm.o lcp.o ipcp.o upap.o chap.o md5.o ccp.o \
	   auth.o options.o sys-mint.o

all: pppd

#
# include dependancies if present and backup if as a header file
ifeq (.depend,$(wildcard .depend))
include .depend
HEADERS := $(HEADERS) .depend
endif

# CC = gcc
# DEBUG_FLAGS = -DDEBUGALL
COMPILE_FLAGS = -DHAVE_PATHS_H -DNO_DRAND48 -I.
COPTS = -g -O # -O2
VER = 0.2.8
LIBS = -lsocket -lport

CFLAGS= $(COPTS) $(DEBUG_FLAGS) $(COMPILE_FLAGS)
SOURCE= RELNOTES Makefile.linux $(PPPDSRCS) $(HEADERS) $(MANPAGES)

ifdef USE_MS_DNS
CFLAGS   += -DUSE_MS_DNS=1
endif

ifdef IPX_CHANGE
CFLAGS   += -DIPX_CHANGE=1
PPPDOBJS += ipxcp.o
endif

install: pppd
	mkdir -p $(BINDIR)
	install -c -m 4555 -o root pppd $(BINDIR)/pppd
	install -c -m 555 -o root pppd.8 $(MANDIR)/man8

pppd: $(PPPDOBJS)
	$(CC) $(CFLAGS) -o pppd $(PPPDOBJS) $(LIBS)
	$(CC) -B/usr/bin/sym- $(CFLAGS) -o pppd.sym $(PPPDOBJS) $(LIBS)

pppd.tar: $(SOURCE)
	tar -cvf pppd.tar $(SOURCE)

pppd.tar.gz: pppd.tar
	gzip pppd.tar

clean:
	rm -f $(PPPDOBJS) pppd *~ #* core

depend:
	$(CPP) -M $(CFLAGS) $(PPPDSRCS) >.depend
